### Method

# Json Generator to_gstring

#### Declaration [src]

    GString*
    json_generator_to_gstring (
      JsonGenerator* generator,
      GString* string
    )

#### Description [src]

Generates a JSON data stream and appends it to the string buffer.

Available since: | 1.4

#### Parameters

`string` | `GString`
| A string buffer.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GString`
| The passed string, updated with the generated JSON data.
| The data is owned by the instance.